Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410401 - Review Request: golang-github-mitchellh-copystructure - Go library for deep copying values in Go
Summary: Review Request: golang-github-mitchellh-copystructure - Go library for deep c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1297547 (view as bug list)
Depends On: 1410150
Blocks: 1348906
TreeView+ depends on / blocked
 
Reported: 2017-01-05 12:20 UTC by Jan Chaloupka
Modified: 2017-06-15 09:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-15 02:58:27 UTC
Type: ---
lsm5: fedora-review+


Attachments (Terms of Use)

Description Jan Chaloupka 2017-01-05 12:20:11 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-mitchellh-copystructure/golang-github-mitchellh-copystructure.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-mitchellh-copystructure/golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc24.src.rpm

Description: Go library for deep copying values in Go

Fedora Account System Username: jchaloup

$ rpmlint golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc24.src.rpm golang-github-mitchellh-copystructure-devel-0-0.1.gitcdac825.fc24.noarch.rpm golang-github-mitchellh-copystructure-unit-test-devel-0-0.1.gitcdac825.fc24.x86_64.rpm
golang-github-mitchellh-copystructure-devel.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/golang-github-mitchellh-copystructure-devel/README.md
golang-github-mitchellh-copystructure-unit-test-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/golang-github-mitchellh-copystructure-unit-test-devel/README.md
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Jan Chaloupka 2017-01-05 12:20:56 UTC
No Koji build as it depends on #1410150, which is currently on review. Locally, it builds fine.

Comment 2 Lokesh Mandvekar 2017-01-20 17:11:05 UTC
- spec conforms to current packaging draft
- license ok
- only sources installed

approved

Comment 3 Gwyn Ciesla 2017-01-23 15:48:49 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-mitchellh-copystructure

Comment 4 Ed Marshall 2017-03-05 04:37:15 UTC
*** Bug 1297547 has been marked as a duplicate of this bug. ***

Comment 5 Ed Marshall 2017-03-05 04:39:26 UTC
Jan, since this is approved, could you push your package?

Comment 6 Fedora Update System 2017-03-07 08:06:23 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5c691b2ef3

Comment 7 Fedora Update System 2017-03-07 08:06:49 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0ca219fb56

Comment 8 Fedora Update System 2017-03-07 08:07:16 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-902ba45a7d

Comment 9 Fedora Update System 2017-03-07 08:07:33 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0bff3d44c2

Comment 10 Fedora Update System 2017-03-07 08:07:54 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6eaf99e621

Comment 11 Fedora Update System 2017-03-07 13:48:16 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0ca219fb56

Comment 12 Fedora Update System 2017-03-07 13:49:20 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0bff3d44c2

Comment 13 Fedora Update System 2017-03-07 14:22:48 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5c691b2ef3

Comment 14 Fedora Update System 2017-03-08 14:53:17 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6eaf99e621

Comment 15 Fedora Update System 2017-03-10 23:19:00 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-902ba45a7d

Comment 16 Fedora Update System 2017-06-15 02:58:27 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-06-15 04:48:23 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-06-15 08:19:19 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-06-15 09:20:31 UTC
golang-github-mitchellh-copystructure-0-0.1.gitcdac825.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.